Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::FieldCacheEntryImpl Class Reference

`#include <FieldCacheImpl.h>`

Inheritance diagram for Lucene::FieldCacheEntryImpl:

## Public Member Functions

| FieldCacheEntryImpl (const LuceneObjectPtr &readerKey, const String &fieldName, int32_t cacheType, const boost::any &custom, const boost::any &value)
virtual | ~FieldCacheEntryImpl ()
virtual String | getClassName ()
boost::shared_ptr< FieldCacheEntryImpl > | shared_from_this ()
virtual LuceneObjectPtr | getReaderKey ()
virtual String | getFieldName ()
virtual int32_t | getCacheType ()
virtual boost::any | getCustom ()
virtual boost::any | getValue ()
Public Member Functions inherited from Lucene::FieldCacheEntry
virtual | ~FieldCacheEntry ()
boost::shared_ptr< FieldCacheEntry > | shared_from_this ()
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FieldCacheEntry
static String | _getClassName ()

## Protected Attributes

LuceneObjectPtr | readerKey
String | fieldName
int32_t | cacheType
boost::any | custom
boost::any | value
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ FieldCacheEntryImpl()

Lucene::FieldCacheEntryImpl::FieldCacheEntryImpl | ( | const LuceneObjectPtr & | readerKey,
|  | const String & | fieldName,
|  | int32_t | cacheType,
|  | const boost::any & | custom,
|  | const boost::any & | value )

References cacheType, custom, fieldName, readerKey, and value.

Referenced by _getClassName().

## ◆ ~FieldCacheEntryImpl()

virtual Lucene::FieldCacheEntryImpl::~FieldCacheEntryImpl | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::FieldCacheEntryImpl::_getClassName | ( |  | ) |

inline static

References FieldCacheEntryImpl().

## ◆ getCacheType()

virtual int32_t Lucene::FieldCacheEntryImpl::getCacheType | ( |  | ) |

virtual

Implements Lucene::FieldCacheEntry.

## ◆ getClassName()

virtual String Lucene::FieldCacheEntryImpl::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::FieldCacheEntry.

## ◆ getCustom()

virtual boost::any Lucene::FieldCacheEntryImpl::getCustom | ( |  | ) |

virtual

Implements Lucene::FieldCacheEntry.

## ◆ getFieldName()

virtual String Lucene::FieldCacheEntryImpl::getFieldName | ( |  | ) |

virtual

Implements Lucene::FieldCacheEntry.

## ◆ getReaderKey()

virtual LuceneObjectPtr Lucene::FieldCacheEntryImpl::getReaderKey | ( |  | ) |

virtual

Implements Lucene::FieldCacheEntry.

## ◆ getValue()

virtual boost::any Lucene::FieldCacheEntryImpl::getValue | ( |  | ) |

virtual

Implements Lucene::FieldCacheEntry.

## ◆ shared_from_this()

boost::shared_ptr< FieldCacheEntryImpl > Lucene::FieldCacheEntryImpl::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ cacheType

int32_t Lucene::FieldCacheEntryImpl::cacheType

protected

Referenced by FieldCacheEntryImpl().

## ◆ custom

boost::any Lucene::FieldCacheEntryImpl::custom

protected

Referenced by FieldCacheEntryImpl().

## ◆ fieldName

String Lucene::FieldCacheEntryImpl::fieldName

protected

Referenced by FieldCacheEntryImpl().

## ◆ readerKey

LuceneObjectPtr Lucene::FieldCacheEntryImpl::readerKey

protected

Referenced by FieldCacheEntryImpl().

## ◆ value

boost::any Lucene::FieldCacheEntryImpl::value

protected

Referenced by FieldCacheEntryImpl().

The documentation for this class was generated from the following file:

- FieldCacheImpl.h

clucene.sourceforge.net